/* Copyright (C) 1991, 1995, 1996, 1997 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#include <errno.h>
#include <sys/types.h>

#include <sysdep.h>
#include <sys/syscall.h>

extern void *__syscall_brk(void *addr);

/* Used by sbrk.c */
void *__curbrk = 0;

/* Set the end of the process's data space to ADDR.
 * Return 0 if successful, -1 if not.
 */
int __brk(void *addr)
{
   void *retval;

   /* Initialize __curbrk. */
   if (addr == 0) {
      __curbrk = INLINE_SYSCALL (brk, 1, addr);
      return 0;
   }

   /* Attempt to raise or lower boundary between heap and stack. */
   retval = INLINE_SYSCALL (brk, 1, addr);
   if (retval == 0) {
      __curbrk = addr;
      return 0;
   }

   __set_errno (ENOMEM);
   return -1;
}

weak_alias (__brk, brk)
