/****************************************************************************/
/* ZEPTOOS:zepto-info */
/*     This file is part of ZeptoOS: The Small Linux for Big Computers.
 *     See www.mcs.anl.gov/zeptoos for more information.
 */
/* ZEPTOOS:zepto-info */
/* */
/* ZEPTOOS:zepto-fillin */
/*     $Id: connect.c,v 1.4 2007/06/27 15:20:38 iskra Exp $
 *     ZeptoOS_Version: 1.2
 *     ZeptoOS_Heredity: FOSS_MOD
 *     ZeptoOS_License: GPL
 */
/* ZEPTOOS:zepto-fillin */
/* */
/* ZEPTOOS:zepto-gpl */
/*      Copyright: Argonne National Laboratory, Department of Energy,
 *                 and UChicago Argonne, LLC.  2004, 2005, 2006, 2007
 *      ZeptoOS License: GPL
 * 
 *      This software is free.  See the file ZeptoOS/misc/license.GPL
 *      for complete details on your rights to copy, modify, and use this
 *      software.
 */
/* ZEPTOOS:zepto-gpl */
/****************************************************************************/

#include <errno.h>
#include <stddef.h>
#include <sys/socket.h>

#include "unix.h"

/* __CONST_SOCKADDR_ARG is a crappy *union* of pointers, so it can't be
   directly compared with NULL or cast to a pointer.
   Who came up with that braindamage?!  */
int
__connect (int fd, __CONST_SOCKADDR_ARG addr, socklen_t len)
{
  if (addr.__sockaddr__ == NULL)
    {
      __set_errno (EINVAL);
      return -1;
    }

  return unix_decode_result(unix_connect(fd, (void*)addr.__sockaddr__, len));
}

weak_alias (__connect, connect)
