/****************************************************************************/
/* ZEPTOOS:zepto-info */
/*     This file is part of ZeptoOS: The Small Linux for Big Computers.
 *     See www.mcs.anl.gov/zeptoos for more information.
 */
/* ZEPTOOS:zepto-info */
/* */
/* ZEPTOOS:zepto-fillin */
/*     $Id: fxstat64.c,v 1.6 2007/06/27 15:20:38 iskra Exp $
 *     ZeptoOS_Version: 1.2
 *     ZeptoOS_Heredity: FOSS_MOD
 *     ZeptoOS_License: GPL
 */
/* ZEPTOOS:zepto-fillin */
/* */
/* ZEPTOOS:zepto-gpl */
/*      Copyright: Argonne National Laboratory, Department of Energy,
 *                 and UChicago Argonne, LLC.  2004, 2005, 2006, 2007
 *      ZeptoOS License: GPL
 * 
 *      This software is free.  See the file ZeptoOS/misc/license.GPL
 *      for complete details on your rights to copy, modify, and use this
 *      software.
 */
/* ZEPTOOS:zepto-gpl */
/****************************************************************************/

#include <errno.h>
#include <stddef.h>
#include <sys/stat.h>

#include "unix.h"

int
__fxstat64 (int vers, int fd, struct stat64 *buf)
{
  if (vers != 0 || buf == NULL)
    {
      __set_errno (EINVAL);
      return -1;
    }

  return unix_decode_result(unix_fstat64(fd, &buf->st_mode, &buf->st_ino,
					 &buf->st_dev, &buf->st_nlink,
					 &buf->st_uid, &buf->st_gid,
					 &buf->st_size, &buf->st_atime,
					 &buf->st_mtime, &buf->st_ctime,
					 &buf->st_rdev, &buf->st_blksize,
					 &buf->st_blocks));
}
