/****************************************************************************/
/* ZEPTOOS:zepto-info */
/*     This file is part of ZeptoOS: The Small Linux for Big Computers.
 *     See www.mcs.anl.gov/zeptoos for more information.
 */
/* ZEPTOOS:zepto-info */
/* */
/* ZEPTOOS:zepto-fillin */
/*     $Id: getuid.c,v 1.5 2007/06/27 15:20:38 iskra Exp $
 *     ZeptoOS_Version: 1.2
 *     ZeptoOS_Heredity: FOSS_MOD
 *     ZeptoOS_License: GPL
 */
/* ZEPTOOS:zepto-fillin */
/* */
/* ZEPTOOS:zepto-gpl */
/*      Copyright: Argonne National Laboratory, Department of Energy,
 *                 and UChicago Argonne, LLC.  2004, 2005, 2006, 2007
 *      ZeptoOS License: GPL
 * 
 *      This software is free.  See the file ZeptoOS/misc/license.GPL
 *      for complete details on your rights to copy, modify, and use this
 *      software.
 */
/* ZEPTOOS:zepto-gpl */
/****************************************************************************/

#include <unistd.h>

#include <sysdep.h>
#include <sys/syscall.h>

/* We don't really need to redefine this call, because it's local, but since
   the overhead of system calls on BLRTS is not insignificant, we might just
   as well provide a cache...  */

extern uid_t __syscall_getuid(void);

uid_t
__getuid (void)
{
    static uid_t cached;
    static int cache_initialized;

    if (!cache_initialized)
    {
	cached = INLINE_SYSCALL(getuid, 0);
	cache_initialized = 1;
    }

    return cached;
}

weak_alias (__getuid, getuid)
