/****************************************************************************/
/* ZEPTOOS:zepto-info */
/*     This file is part of ZeptoOS: The Small Linux for Big Computers.
 *     See www.mcs.anl.gov/zeptoos for more information.
 */
/* ZEPTOOS:zepto-info */
/* */
/* ZEPTOOS:zepto-fillin */
/*     $Id: rts_rankForCoordinates.c,v 1.5 2007/06/27 15:20:38 iskra Exp $
 *     ZeptoOS_Version: 1.2
 *     ZeptoOS_Heredity: FOSS_ORIG
 *     ZeptoOS_License: GPL
 */
/* ZEPTOOS:zepto-fillin */
/* */
/* ZEPTOOS:zepto-gpl */
/*      Copyright: Argonne National Laboratory, Department of Energy,
 *                 and UChicago Argonne, LLC.  2004, 2005, 2006, 2007
 *      ZeptoOS License: GPL
 * 
 *      This software is free.  See the file ZeptoOS/misc/license.GPL
 *      for complete details on your rights to copy, modify, and use this
 *      software.
 */
/* ZEPTOOS:zepto-gpl */
/****************************************************************************/

#include <errno.h>
#include <stdlib.h>

#include "zoid_mapping.h"

extern int __zoid_process_count;

int
__rts_rankForCoordinates(unsigned x, unsigned y, unsigned z, unsigned t,
			 unsigned *logicalRank, unsigned *numProcs)
{
    int ret;

    if ((ret = __zoid_mapping_to_rank(x, y, z, t, logicalRank)) == -1)
	__set_errno(EINVAL);
    else
	*numProcs = __zoid_process_count;

    return ret;
}

weak_alias (__rts_rankForCoordinates, rts_rankForCoordinates)
